<template>
  <div>
    <div class="form-group">
      <select
        class=" form-control form-control-lg"
        v-model="id_service"
        @change="desactivehairdressers"
      >
        <option
          v-for="(listservice, index) in service"
          :key="index"
          :value="listservice.id_service"
          >{{ listservice.name }}</option
        >
      </select>
    </div>

    <div class="form-group">
      <select
        class=" form-control form-control-lg"
        v-model="id_hairdressers"
        id="haid"
        disabled
        @change="desactivedate"
      >
        <option
          v-for="(listHairdressers, index) in hairdressers"
          :key="index"
          :value="listHairdressers.id_hairdressers"
          >{{ listHairdressers.name_Hairdressers }}
          {{ listHairdressers.lastname_Hairdressers }}</option
        >
      </select>
    </div>

    <div class="form-group">
      <input
        type="date"
        v-model="datee"
        @change="send"
        id="date"
        name="date"
        disabled
        class="form-control form-control-lg"
      />
    </div>
  </div>
</template>
<script>
export default {
  components: {
    //flatPickr,
  },
  props: {
    service: {
      propType: Array,
      required: true,
    },
    hairdressers: {
      propType: Array,
      required: true,
    },
  },

  data() {
    return {
      id_service: null,
      id_hairdressers: null,
      datee: null,
      warningservice: false,
      warninghaid: false,
    };
  },
  mounted() {
    var today = new Date().toISOString().split("T")[0];
    document.getElementsByName("date")[0].setAttribute("min", today);
  },

  methods: {
    desactivehairdressers() {
      document.getElementById("haid").disabled = false;
    },
    desactivedate() {
      document.getElementById("date").disabled = false;
    },
    send() {
      this.$emit(
        "show-hours",
        this.id_hairdressers,
        this.datee,
        this.id_service
      );
    },
  },
};
</script>
<style scoped></style>
